Bug 84929 - EDITING: Clicking in the footer area brings focus/view to last cursor position on page
Summary: EDITING: Clicking in the footer area brings focus/view to last cursor positio...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0 beta1
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable, regression
Depends on:
Blocks: Writer-View-Jumps
  Show dependency treegraph
 
Reported: 2014-10-12 08:37 UTC by Gabriel Diosan
Modified: 2018-04-28 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (561.73 KB, video/webm)
2014-12-21 15:30 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Diosan 2014-10-12 08:37:58 UTC
When adding a footer to a new Libreoffice Writer document, the focus jumps back to the top of the page.

Steps to reproduce:

1. Open Libreoffice Writer.
2. Scroll to the bottom of the page and click on the footer area to create a footer.

Current outcome: 

The focus/view will jump straight back to the cursor at the top of the page requiring you to scroll back down to the bottom of the page again.

This is only really evident when you create the footer before editing the rest of the document. When you scroll back down to the bottom of the page the footer pop up is visible and you can then create the footer. It is not a massive problem but minor annoyance in certain circumstances as you need to scroll more.

Expected outcome:

The focus/view should remain on the bottom of the page when clicking on the footer area so you can create the footer and input text etc.

Can be noticed in Libreoffice 4.2, 4.3 and 4.4 across Windows and Linux operation systems. I have not tested on MacOSX but I would guess it is present there as well.
Comment 1 Yousuf Philips (jay) (retired) 2014-10-12 12:47:11 UTC
Hi Gabriel,

This was a bug that had been disturbing me for a while but i never ended up reporting it. :D

Confirmed on master. It is a regression as it works correctly in 3.6.7.

Version: 4.4.0.0.alpha0+
Build ID: 227ca23324fabd77abae1b7eb6186ba11d519fae
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-09_14:20:58
Comment 2 Dave Richards 2014-12-08 16:54:51 UTC
Unless I have used the wrong technique, I have not been able to make this work going all the way back through the bibisect files.  I scroll to the bottom and then click into the area below the entry canvas.  This is where the footer appears when you do an insert > footer.  In all versions tested, it then bounces back to the top of the document.

So either I am testing it incorrectly, or this pre-dates the bibisect files. 

Will monitor this issue if anyone has more notes or thoughts on versions that worked.  If I can see it and it's newer than 3.5, I can bibisect it.
Comment 3 Matthew Francis 2014-12-21 15:19:51 UTC
I also can't find any version in the bibisect repos that behaves as described. Assuming for the sake of argument that this is a regression, it doesn't appear to be readily bibisectable, but I suspect that this is more properly an enhancement request

Setting Whiteboard:notBibisectable
Comment 4 Yousuf Philips (jay) (retired) 2014-12-21 15:30:09 UTC
Created attachment 111109 [details]
screencast

Here is a screencast of 3.6.7 showing it works and 4.0.6 showing it doesnt work. Tested it also on windows 7 and its the same thing.
Comment 5 Yousuf Philips (jay) (retired) 2014-12-22 14:32:55 UTC
I just tested 4.0.0 beta 1 and its broken there.

Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)
Comment 6 Gordo 2015-03-09 19:19:05 UTC
Here is some additional information on the behaviour:

1. New Text Document.
2. View -> Zoom -> Entire Page.
3. Click on footer area.
Expected Result:
Footer pop up is correctly shown.
Result:
Footer pop up is correctly shown.

1. New Text Document.
2. View -> Zoom -> Page Width. (Or zoom so that entire page is not on screen).
3. Scroll to bottom of page.
4. Click on footer area.
Expected Result:
Footer pop up is correctly shown.
Result:
Page scrolls to top of page and cursor appears at the end of the text on the page.
Alternate:
3. Type one word.
4. Place cursor in text at either a, b, or c:
a. beginning of text and scroll to bottom of page.
b. middle of text and scroll to bottom of page.
c. end of text and scroll to bottom of page.
5. Click on footer area.
Expected Result:
Footer pop up is correctly shown.
Result:
Page scrolls to top of page and cursor appears at the end of the text on the page.

1. New Text Document.
2. View -> Zoom -> Page Width. (Or zoom so that entire page is not on screen).
3. Enter enough text so that bottom of page and text are visible.
4. Place cursor in text at either a, b, or c:
a. beginning of text and scroll to bottom of page.
b. middle of text and scroll to bottom of page.
c. end of text.
5. Click on footer area.
Expected Result:
Footer pop up is correctly shown.
Result:
Footer pop up is correctly shown and cursor appears at the end of the text on the page.

The scrolling behaviour happens because the cursor is being positioned at the end of the text on the page after clicking on the footer area and also because the cursor position is off screen from the footer when the focus is changed.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 7 Robinson Tryon (qubit) 2015-12-10 01:26:33 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-01-03 19:40:59 UTC Comment hidden (obsolete)
Comment 9 Gabriel Diosan 2017-01-20 03:18:57 UTC
Tested with LibreOffice 5.2.3 on Korora 25 and this behaviour is still present.

Gabriel
Comment 10 Telesto 2017-04-27 12:44:05 UTC
Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: a917902c48f21d04039da86048c5c36555137d7e
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-04-24_23:35:22
Comment 11 QA Administrators 2018-04-28 02:32:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug